| Home | Libraries | People | FAQ | More

## Macro BOOST_UNITS_DEFINE_CONVERSION_FACTOR_TEMPLATE

BOOST_UNITS_DEFINE_CONVERSION_FACTOR_TEMPLATE

## Synopsis

    // In header: <boost/units/conversion.hpp>

    BOOST_UNITS_DEFINE_CONVERSION_FACTOR_TEMPLATE(Params, Source, Destination, type_, value_)

## Description

Defines the conversion factor from a base unit to any other base unit with the same dimensions. Params should be a Boost.Preprocessor Seq of template parameters, such as (class T1)(class T2) All uses of must appear at global scope. The reverse conversion will be defined automatically. This macro is a little dangerous, because, unlike the non-template form, it will silently fail if either base unit is scaled. This is probably not an issue if both the source and destination types depend on the template parameters, but be aware that a generic conversion to kilograms is not going to work.